package net.wanji.web.mapper.scheme;

import net.wanji.web.po.scheme.CrossPhasePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 相位基础信息;(t_base_cross_phase)表数据库访问层
 * @author : hanbing
 * @date : 2023-1-3
 */
@Repository
public interface CrossPhaseMapper {

    Integer selectIdByCrossIdAndCoordPhaseNo(@Param("crossId") String crossId,
                                             @Param("schemeId") Integer schemeId,
                                             @Param("coordPhaseNo") String coordPhaseNo);

    void insertOne(CrossPhasePO crossPhasePO);

    void deleteByCrossId(@Param("crossId") String crossId);

    CrossPhasePO selectById(@Param("coordPhaseId") Integer coordPhaseId);

    List<Integer> selectRingNumbersByCrossIdAndSchemeId(@Param("crossId") String crossId,
                                                        @Param("schemeId") Integer schemeId);

    List<Integer> selectGroupNumbers(@Param("crossId") String crossId,
                                     @Param("schemeId") Integer schemeId,
                                     @Param("ringNo") Integer ringNo);

    List<CrossPhasePO> selectByGroupNo(@Param("crossId") String crossId,
                                       @Param("schemeId") Integer schemeId,
                                       @Param("ringNo") Integer ringNo,
                                       @Param("groupNumber") Integer groupNumber);

    List<CrossPhasePO> selectByIds(@Param("ids") List<Integer> ids);

    List<CrossPhasePO> selectByCrossIdAndSchemeId(@Param("crossId") String crossId,
                                                  @Param("schemeId") Integer schemeId);

    Integer selectIdByCrossIdAndPhaseNo(String crossId, String phaseNo);

    void update(CrossPhasePO crossPhasePO);
}
