package net.wanji.web.po.scheme;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/12/28 17:45
 */
@Data
@ApiModel(value = "LaneInfoPO", description = "车道对象")
public class LaneInfoPO {
    /**
     * 车道ID（路口ID_方向_序号）
     */
    @ApiModelProperty(value = "车道ID（路口ID_方向_序号）", notes = "")
    private String id;
    /**
     * 车道代码
     */
    @ApiModelProperty(value = "车道代码", notes = "")
    private String code;
    /**
     * 车道序号;从左车道开始编号11、12、13...
     */
    @ApiModelProperty(value = "车道序号", notes = "从左车道开始编号11、12、13...")
    private Integer sort;
    /** 车道类型：1路段车道；2进口车道；3出口车道；4左转弯待转区；6直行待行区 */
    @ApiModelProperty(value = "车道类型：1路段车道；2进口车道；3出口车道；4左转弯待转区；6直行待行区",notes = "")
    private Integer type = 2 ; // todo 信控只用到进口车道
    /**
     * 车道方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北
     */
    @ApiModelProperty(value = "车道方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北", notes = "")
    private Integer dir;
    /**
     * 车道转向：0未知；1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头
     */
    @ApiModelProperty(value = "车道转向：0未知；1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头", notes = "")
    private Integer turn;
    /**
     * 车道类别：1机动车；2非机动车；3公交专用；4可变；5潮汐
     */
    @ApiModelProperty(value = "车道类别：1机动车；2非机动车；3公交专用；4可变；5潮汐", notes = "")
    private Integer category;
    /**
     * 路口ID
     */
    @ApiModelProperty(value = "路口ID", notes = "")
    private String crossId;
    /**
     * 路段编号
     */
    @ApiModelProperty(value = "路段编号", notes = "")
    private String rid = "";
    /**
     * 车道长度
     */
    @ApiModelProperty(value = "车道长度", notes = "")
    private Double length = 0.0;
    /**
     * 车道宽度
     */
    @ApiModelProperty(value = "车道宽度", notes = "")
    private Double width = 0.0;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", notes = "")
    private Date gmtCreate;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间", notes = "")
    private Date gmtModified;
}